Subject: RE: cygwin 1.5.11: execv doesn't set argv[0] on Windows programs
From: "David A. Rogers" <[email-masked]>
To: Chuck McDevitt <[email-masked]>
Cc: [email-masked], Dave Korn <[email-masked]>
Date: Fri, 10 Sep 2004 14:19:40 -0500 (Central Daylight Time)

On Fri, 10 Sep 2004, Chuck McDevitt wrote:

> argv and argc are concepts from the C runtime, not the Windows OS.
>
> The actual entry point to your program is to a routine that calls the
> initialization routines of the C library, then calls winMain.
>

Yes, certainly.  The point I was making was that the information was available
in a true win32 app.  David Korn implied that the WinMain call was the only
access to the calling arguments that were available to a win32 app.  That is
not true, as I showed.

dar

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/